package com.cim.idm.wmspackage.materialshiprequesttooem.management.data;

import com.cim.idm.framework.orm.info.KeyInfo;

public class MaterialShipRequestToOEMKey implements KeyInfo {
	
	private String siteName;
	private String receiveRequestName;
	private String receiveRequestDetailName;
	private String subMaterialSpecName;
	
	public MaterialShipRequestToOEMKey(){
		
	}
	public MaterialShipRequestToOEMKey(String siteName,String receiveRequestName, String receiveRequestDetailName,String subMaterialSpecName){
		this.siteName=siteName;
		this.receiveRequestName=receiveRequestName;
		this.receiveRequestDetailName=receiveRequestDetailName;
		this.subMaterialSpecName=subMaterialSpecName;
	}
	public String getSiteName() {
		return siteName;
	}
	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}
	public String getReceiveRequestName() {
		return receiveRequestName;
	}
	public void setReceiveRequestName(String receiveRequestName) {
		this.receiveRequestName = receiveRequestName;
	}
	public String getReceiveRequestDetailName() {
		return receiveRequestDetailName;
	}
	public void setReceiveRequestDetailName(String receiveRequestDetailName) {
		this.receiveRequestDetailName = receiveRequestDetailName;
	}
	public String getSubMaterialSpecName() {
		return subMaterialSpecName;
	}
	public void setSubMaterialSpecName(String subMaterialSpecName) {
		this.subMaterialSpecName = subMaterialSpecName;
	}
	
	
}
